Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Controller::MetaData Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Controller::MetaData Struct Reference

Sub controller metadata. More...

## Public Attributes
Type | type
| Controller type
string | address
| Sub controller address.
int | magic
| Magic code.
boolean | versionAvailable
| `true` if version information and serial number is available
int | fwAppVersion
| Firmware application version; 0 if unavailable.
int | fwBootVersion
| Firmware bootloader version; 0 if unavailable.
int | hwVersion
| Hardware version; 0 if unavailable.
string | serial
| Serial number; empty if unavailable.
boolean | haveResetCnt
| `true` if controller reset counter is available
boolean | haveEmResetCnt
| `true` if energy meter reset counter is available
boolean | isOptional
| `true` if this controller is optional (temporary absence may be expected)

## Detailed Description

Sub controller metadata.

Definition at line 47 of file Controller.idl.

## Member Data Documentation

## ◆ address

string pdumodel::Controller::MetaData::address

Sub controller address.

Definition at line 49 of file Controller.idl.

## ◆ fwAppVersion

int pdumodel::Controller::MetaData::fwAppVersion

Firmware application version; 0 if unavailable.

Definition at line 52 of file Controller.idl.

## ◆ fwBootVersion

int pdumodel::Controller::MetaData::fwBootVersion

Firmware bootloader version; 0 if unavailable.

Definition at line 53 of file Controller.idl.

## ◆ haveEmResetCnt

boolean pdumodel::Controller::MetaData::haveEmResetCnt

`true` if energy meter reset counter is available

Definition at line 57 of file Controller.idl.

## ◆ haveResetCnt

boolean pdumodel::Controller::MetaData::haveResetCnt

`true` if controller reset counter is available

Definition at line 56 of file Controller.idl.

## ◆ hwVersion

int pdumodel::Controller::MetaData::hwVersion

Hardware version; 0 if unavailable.

Definition at line 54 of file Controller.idl.

## ◆ isOptional

boolean pdumodel::Controller::MetaData::isOptional

`true` if this controller is optional (temporary absence may be expected)

Definition at line 58 of file Controller.idl.

## ◆ magic

int pdumodel::Controller::MetaData::magic

Magic code.

Definition at line 50 of file Controller.idl.

## ◆ serial

string pdumodel::Controller::MetaData::serial

Serial number; empty if unavailable.

Definition at line 55 of file Controller.idl.

## ◆ type

Type pdumodel::Controller::MetaData::type

Controller type

Definition at line 48 of file Controller.idl.

## ◆ versionAvailable

boolean pdumodel::Controller::MetaData::versionAvailable

`true` if version information and serial number is available

Definition at line 51 of file Controller.idl.

The documentation for this struct was generated from the following file:

- Controller.idl